QGIS Debian upgrade throws an error
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.6.0 Regression?: No

Operating System: Debian and Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19992

Description

Applied a series of QGIS updates which became available today.

An error was thrown to the effect that libqgis_customwidgets2.6.1 could not be installed because it would overwrite

libqgis_customwidgets.so which was also provided by libqgis_customwidgets2.6.0.  apt-get autoremove would have removed

libqgis_customwidgets2.6.0 but failed because of the outstanding problem with libqgis_customwidgets2.6.1 and suggested apt-get -f

install which failed with the original error.

Eventually removed all of QGIS & reinstalled from scratch as a workaround.

Note also that the Affected version drop-down on Tracker only goes up to 2.6.0.

Finally, note that the upgrade fixed annoyingly erratic scrolling of raster map - many thanks to whoever did that ;)

History

#1 - 2014-11-29 10:08 AM - Giovanni Manghi

- Category set to Build/Install

#2 - 2014-11-29 10:18 AM - Paolo Cavallini

Confirmed, one has to remove customwidgets package before upgrading.

#3 - 2014-11-29 03:11 PM - Filipe Dias

- OS version changed from Wheezy to Wheezy and Ubuntu 14.04

- Operating System changed from Debian to Debian and Ubuntu

This also occurs on Ubuntu 14.04

#4 - 2014-12-03 02:08 AM - Axel Schaefer

Another workaround to avoid complete uninstall/reinstall:

sudo aptitude purge libqgis-customwidgets2.6.0

- apply solution

sudo aptitude install python-qgis

2025-04-27 1/2



This workaround was provided by Samy on the qgis-user-gis list: http://lists.osgeo.org/pipermail/qgis-user/2014-November/030063.html

#5 - 2015-10-13 04:40 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to worksforme

doesn't apply to any current version
